import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { HttpModule } from '@angular/http';

import { AppComponent } from './app.component';

import {QqMoodModule} from "./qq-mood/qq-mood.module";
import {QqRewardModule} from "./qq-reward/qq-reward.module";
import {IonIconsSelectModule} from "./ionicons/ion-icons-select/ion-icons-select.module";
import {FontAwesomeModule} from "./ionicons/font-awesome/font-awesome.module";
import {FontAwesomeSelectModule} from "./ionicons/font-awesome-select/font-awesome-select.module";
import {RouterModule, Routes} from "@angular/router";
import {PagesModule} from "./pages/pages.module";

let routes: Routes = [
  {
    path: '',
    pathMatch: 'full',
    redirectTo: 'qq'
  }
]


@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule,
    FormsModule,
    HttpModule,
    QqMoodModule,
      QqRewardModule,
    IonIconsSelectModule,
    FontAwesomeModule,
    FontAwesomeSelectModule,
    RouterModule.forRoot(routes,{
      useHash: true
    }),
    PagesModule
  ],
  providers: [],
  bootstrap: [AppComponent]
})
export class AppModule { }
