import {Component, Input, OnInit,EventEmitter,Output} from '@angular/core';
import {Router} from "@angular/router";

@Component({
  selector: 'qq-mod-hd',
  templateUrl: './qq-mod-hd.component.html',
  styleUrls: ['./qq-mod-hd.component.scss']
})
export class QqModHdComponent implements OnInit {
  @Input() desc: string = '';
  @Input() left: any = {}
  @Input() right: any = {}
  @Input() op: any = {}

  @Input() avatar: string = '';
  @Input() tip: string = '';
  @Input() level: string = '';
  @Input() navs: any[] = [];
  @Input() tag: string = '';

  @Output() onLeft: EventEmitter<any> = new EventEmitter()
  @Output() onRight: EventEmitter<any> = new EventEmitter()
  @Output() onOption: EventEmitter<any> = new EventEmitter()


  constructor(
      public router: Router
  ) {
    this.left = {
      label: '成长值',
      credit: 0
    }
    this.right = {
      label: '加速',
      desc: '0点/天'
    }
    this.op = {
      title: '立即开通'
    }

    this.navs = [
      {
        title: '好友榜NO.'
      },
      {
        title: '全球榜NO.'
      }
    ]
  }

  _onLeft(){
    this.onLeft.emit('left')
  }

  ngOnInit() {
  }

  _onOption(){
    this.onOption.emit('option');
  }

  onInfoOp(){
    this.onRight.emit('right');
  }

  onInfoUp(){
    this.onRight.emit('right');
  }

}
