import { Component, OnInit } from '@angular/core';
import {QqzoneInterface} from "../qqzone/qqzone-interface";

@Component({
  selector: 'qq-mood',
  templateUrl: './qq-mood.component.html',
  styleUrls: ['./qq-mood.component.css']
})
export class QqMoodComponent implements OnInit {

  info: any;
  showComment: boolean = false;

  emojiImage: string;
  emojiItems: string[];

  constructor() {
    this.emojiImage = 'https://qzonestyle.gtimg.cn/touch/proj-qzone/img/emoji/1@2x.png?max_age=19830211';
    this.emojiItems = ['微笑','撇嘴','笑','发呆','得意','流泪','害羞','闭嘴','睡','大哭','尴尬','发怒','调皮','呲牙','惊讶','难过','酷','冷汗','抓狂','吐']
  }

  selectEmoji(emoji: any){
    console.log(emoji);
  }
  onCommentItem: any;
  onComment(info:any,e:any){
    console.log(e);
    this.onCommentItem = info;
    this.showComment = true;
  }

  onPublish(e:any){
    console.log(e);
    let item = {avatar: '',nickname: '昵称2',create_time: '05-06',content: e}
    this.onCommentItem.comments.push(item)
    this.showComment = false;
  }

  onCancel(){
    this.showComment = false;
  }

  ngOnInit() {
    this.info = {
      avatar: '',
      nickname: '昵称',
      isvip: false,
      create_time: '06-06',
      thumbs: ['',''],
      look_num: 2,
      liked: false,
      goods: [{ nickname: '测试'},{ nickname: '测试'}],
      comments: [{avatar: '',nickname: '昵称',create_time: '05-2',content: '评论内容'}]
    }
  }

}
