import {Component, ElementRef, EventEmitter, Input, OnInit, Output, Renderer2} from '@angular/core';
declare const require;

const Swiper = require('swiper');

@Component({
  selector: 'qqzone-comment',
  templateUrl: './qqzone-comment.component.html',
  styleUrls: ['./qqzone-comment.component.css']
})
export class QqzoneCommentComponent implements OnInit {
  showEmoji: boolean = false;

  content: string;

  constructor(
      private ele: ElementRef,
      private renderer: Renderer2
  ) {
    this.renderer.setStyle(this.ele.nativeElement,'position','fixed')
    this.renderer.setStyle(this.ele.nativeElement,'top','0')
    this.renderer.setStyle(this.ele.nativeElement,'left','0')
    this.renderer.setStyle(this.ele.nativeElement,'right','0')
    this.renderer.setStyle(this.ele.nativeElement,'z-index','999')
    this.content = '';
  }

  _show: boolean = false;
  @Input()
  get show(){
    return this._show;
  }
  set show(val: boolean){
    this._show = val;
    if(val){
      this.content = '';
    }
  }

  emojis: any[];

  ngOnInit() {
    this.emojis = [
      {className: 'emoji-1', items: [
        {id: '100',name: '微笑'},
        {id: '101',name: '笑'},
        {id: '102',name: '发呆'},
        {id: '103',name: '得意'},
        {id: '104',name: '流泪'},
        {id: '105',name: '害羞'},
        {id: '106',name: '闭嘴'},
        {id: '107',name: '睡'},
        {id: '108',name: '大哭'},
        {id: '109',name: '尴尬'},
        {id: '110',name: '发怒'},
        {id: '111',name: '调皮'},
        {id: '112',name: '呲牙'},
        {id: '113',name: '惊讶'},
        {id: '114',name: '难过'},
        {id: '115',name: '酷'},
        {id: '116',name: '冷汗'},
        {id: '117',name: '抓狂'},
        {id: '117',name: '吐'}
        ]
      },
      {className: 'emoji-2', items: ['偷笑','可爱','白眼','傲慢','饥饿','困','惊恐','流汗','憨笑','大兵','奋斗','咒骂','疑问','嘘','晕','折磨','衰','骷髅','敲打','再见']},
      {className: 'emoji-3', items: ['擦汗','抠鼻','鼓掌','糗大了','坏笑','左哼哼','右哼哼','哈欠','鄙视','委屈','快哭了','阴险','亲亲','吓','可怜','菜刀','西瓜','啤酒','篮球','乒乓']},
      {className: 'emoji-4', items: ['咖啡','饭','猪头','玫瑰','凋谢','示爱','爱心','心碎','蛋糕','闪电','炸弹','刀','足球','瓢虫','便便','月亮','太阳','礼物','拥抱','强']},
      {className: 'emoji-5', items: ['弱','握手','胜利','抱拳','勾引','拳头','差劲','爱你','NO','OK','爱情','飞吻','跳跳','发抖','怄火','转圈','磕头','回头','跳绳','挥手']}
    ];

  }

  swiper: any;
  openEmoji(){
    this.showEmoji = !this.showEmoji;
    setTimeout(()=>{
      this.swiper = new Swiper('.select-area',{
        loop: false,
        pagination: '.page-area'
      });
    },300)
  }

  onEmojiSelect(e:any){  
    this.content += '[/'+e.name+']';
  }

  @Output() onCancel: EventEmitter<any> = new EventEmitter();
  cancel(){
    this.onCancel.emit()
  }

  @Output() onPublish: EventEmitter<any> = new EventEmitter();
  publish(){
    this.onPublish.emit(this.content)
  }
}
