import {Component, EventEmitter, Input, OnInit, Output} from '@angular/core';
import {QqzoneInterface} from "../qqzone-interface";

@Component({
  selector: 'qqzone',
  templateUrl: './qqzone.component.html',
  styleUrls: ['./qqzone.component.css']
})
export class QqzoneComponent implements OnInit {
  @Input() info: QqzoneInterface;
  @Input() showCommentAvatar: boolean;

  @Output() onClick: EventEmitter<any> = new EventEmitter();
  @Output() like: EventEmitter<QqzoneInterface> = new EventEmitter();
  @Output() comment: EventEmitter<QqzoneInterface> = new EventEmitter();
  @Output() share: EventEmitter<QqzoneInterface> = new EventEmitter();

  constructor() { }

  ngOnInit() {

  }

  _like(info: QqzoneInterface){
    info.liked = !info.liked;
    this.info.goods.splice(0,0,{nickname: '昵称2'});
    this.like.emit(info)
  }

  _comment(info: QqzoneInterface){
    this.comment.emit(info)
  }

  _share(info: QqzoneInterface){
    this.share.emit(info)
  }

}
